<?php
class IpServiceManager extends ManagerParent { 
public $x_232 = ''; 
protected $x_233 = array( 
'apply' => array( 
'result' => 'out' 
), 
'reset' => array( 
'result' => 'out' 
), 
'get' => array( 
'services' => 'out', 
'totalItems' => 'out', 
'query' => 'array', 
), 
'add' => array( 
'result' => 'out', 
'services' => 'array' 
), 
'update' => array( 
'result' => 'out', 
'serviceIds' => 'array', 
'details' => 'array' 
), 
'remove' => array( 
'result' => 'out', 
'serviceIds' => 'array' 
), 
); 
protected $x_24b = array('entityName'=>webadmin_EntityService, 
'tuples' => array(array('name' => kerio_web_Name, 'kind' => kerio_web_ByteLength, 'values' => array('63')), 
array('name' => kerio_web_Name, 'kind' => kerio_web_Regex, 'values' => array('/^[^"\']*$/')), 
array('name' => kerio_web_Description, 'kind' => kerio_web_ByteLength, 'values' => array('255')), 
array('name' => webadmin_Port, 'kind' => kerio_web_Regex, 'values' => array('/^[0-9][0-9]*$/')), 
array('name' => webadmin_PortList, 'kind' => kerio_web_Regex, 'values' => array('/^\ *([0-9][0-9]*)\ *(,\ *[1-9][0-9]*){0,31}\ *$/')), 
array('name' => webadmin_Protocol, 'kind' => kerio_web_Regex, 'values' => array('/^[0-9][0-9]*$/')), 
) 
); 
public function apply(&$x_232) { 
$x_235 = kerio('webadmin::IpServiceManager'); 
if ($x_235) { 
return $x_235->apply(&$x_232); 
} 
return false; 
} 
public function reset(&$x_232) { 
$x_235 = kerio('webadmin::IpServiceManager'); 
if ($x_235) { 
return $x_235->reset(&$x_232); 
} 
return false; 
} 
public function get(&$x_256, &$x_23z, $x_248) { 
$x_235 = kerio('webadmin::IpServiceManager'); 
if ($x_235) { 
return $x_235->get(&$x_256, &$x_23z, $x_248); 
} 
return false; 
} 
public function add(&$x_232, $x_257) { 
$x_235 = kerio('webadmin::IpServiceManager'); 
if ($x_235) { 
return $x_235->create(&$x_232, $x_257); 
} 
return false; 
} 
public function update(&$x_232, $x_258, $x_243) { 
$x_235 = kerio('webadmin::IpServiceManager'); 
if ($x_235) { 
$x_24z = $x_235->set(&$x_232, $x_258, $x_243); 
return $x_24z; 
} 
return false; 
} 
public function remove(&$x_259, $x_258) { 
$x_235 = kerio('webadmin::IpServiceManager'); 
if ($x_235) { 
$x_232 = $x_235->remove(&$x_259, $x_258); 
return $x_232; 
} 
return false; 
} 
}; 
?>
